require 'rails_helper'

RSpec.describe "settings/lookups/new", type: :view do
  before(:each) do
    assign(:settings_lookup, Settings::Lookup.new(
      :lookup_type => "MyString",
      :name => "MyString",
      :value => "MyString"
    ))
  end

  it "renders new settings_lookup form" do
    render

    assert_select "form[action=?][method=?]", settings_lookups_path, "post" do

      assert_select "input#settings_lookup_lookup_type[name=?]", "settings_lookup[lookup_type]"

      assert_select "input#settings_lookup_name[name=?]", "settings_lookup[name]"

      assert_select "input#settings_lookup_value[name=?]", "settings_lookup[value]"
    end
  end
end
